from setuptools import setup, find_packages

install_requires = [
      'torch==1.11.0',
      'torchray>=1.0.0.2',
      'torchvision>=0.8.0',
      'numpy>=1.19.5',
      'matplotlib>=3.3.4',
      'lime>=0.2.0.1',
      'pandas>=1.3.5',
      'tqdm>=4.62.3',
      'requests>=2.16.0',
      'scipy>=1.6.0',
      'scikit-learn>=0.24.1',
      'jupyterlab>=3.5.2',
      'IProgress>=0.4'
      ]

setup(name='openunlearn',
      version='0.1',
      description='A general-purpose lightweight library that provides a comprehensive list of functions to systematically benchmark unlearning methods.',
      packages=find_packages(),
      install_requires=install_requires,
      zip_safe=False)
